Skip to main content
POST
/
v1
/
workflows
/
experiments
/
runs
/
{run_id}
/
cancel
from retab import Retab

client = Retab()

run = client.workflows.experiments.runs.cancel("exprun_2")
print(run.lifecycle.status)
{
  "id": "exprun_2",
  "lifecycle": { "status": "cancelled" },
  "timing": {
    "created_at": "2026-05-18T10:00:00Z",
    "started_at": "2026-05-18T10:00:01Z",
    "completed_at": "2026-05-18T10:00:04Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Cancel one pending or running experiment run by run_id. Cancellation is run-specific; it no longer targets “the latest run” for an experiment.
from retab import Retab

client = Retab()

run = client.workflows.experiments.runs.cancel("exprun_2")
print(run.lifecycle.status)
{
  "id": "exprun_2",
  "lifecycle": { "status": "cancelled" },
  "timing": {
    "created_at": "2026-05-18T10:00:00Z",
    "started_at": "2026-05-18T10:00:01Z",
    "completed_at": "2026-05-18T10:00:04Z"
  }
}

Authorizations

Api-Key
string
header
required

Path Parameters

run_id
string
required

Response

Successful Response

id
string
required
lifecycle
ExperimentRunLifecycle · object
required